libstdc++: std::atomic< unsigned char > Struct Reference

libstdc++

std::atomic< unsigned char > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< unsigned char > | __base_type
typedef unsigned char | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (unsigned char &__e, unsigned char __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (unsigned char &__e, unsigned char __i, memory_order __s, memory_order __f) noexcept
unsigned char | exchange (unsigned char __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
unsigned char | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator unsigned char () const noexcept
| operator unsigned char () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (unsigned char __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for unsigned char.

Definition at line 795 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<unsigned char> std::atomic< unsigned char >::__base_type

Definition at line 798 of file atomic.

## ◆ __integral_type

typedef unsigned char std::atomic< unsigned char >::__integral_type

Definition at line 797 of file atomic.

## ◆ value_type

using std::atomic< unsigned char >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< unsigned char >::atomic | ( | __integral_type | __i | ) |
| inlineconstexprnoexcept

Definition at line 806 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< unsigned char >::compare_exchange_strong | ( | unsigned char & | __e,
|  | unsigned char | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< unsigned char >::compare_exchange_weak | ( | unsigned char & | __e,
|  | unsigned char | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 355 of file atomic.

## ◆ exchange()

unsigned char std::atomic< unsigned char >::exchange | ( | unsigned char | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< unsigned char >::is_lock_free | ( |  | ) | const
| inlinenoexcept

Definition at line 277 of file atomic.

## ◆ load()

unsigned char std::atomic< unsigned char >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inlinenoexcept

Definition at line 314 of file atomic.

## ◆ operator unsigned char() [1/2]

std::atomic< unsigned char >::operator unsigned char | ( |  | ) | const
| inlinenoexcept

Definition at line 262 of file atomic.

## ◆ operator unsigned char() [2/2]

std::atomic< unsigned char >::operator unsigned char | ( |  | ) | const volatile
| inlinenoexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< unsigned char >::store | ( | unsigned char | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic